/*
Copyright 2011 Kevin Gimpel

Licensed under the Apache License, Version 2.0 (the "License");
you may not use this file except in compliance with the License.
You may obtain a copy of the License at

  http://www.apache.org/licenses/LICENSE-2.0

Unless required by applicable law or agreed to in writing, software
distributed under the License is distributed on an "AS IS" BASIS,
WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
See the License for the specific language governing permissions and
limitations under the License.
*/
#ifndef RANK_PATS_H_
#define RANK_PATS_H_

#include <fstream>
#include <stdlib.h>
#include <iostream>
#include <sstream>
#include <algorithm>
#include <map>
#include <math.h>
#include <stack>
#include "utils.h"
#include "cmdparams.h"
#include "hashing.h"
#include "../external/include/google/dense_hash_map"
#include "../external/include/google/dense_hash_set"

using google::dense_hash_map;
using google::dense_hash_set;

using namespace std;

struct Pattern {
	double count;
	double condProb;
	double logCondProb;
	double logMargProb;
	string pat;
};

#endif
