#!/bin/sh
./src/gaplmtrain \
input_file=sample/nc-en-1k.txt \
solo_words_file=sample/solo-period.txt \
count_output_file=sample/monoling-margcounts.txt \
model=monoling \
num_iters=50 \
alpha=100.0 \
lambda_w=3 \
init_new_color=0.7 \
burnin=10 \
2> sample/monoling.stderr

./src/rank_pats \
input_file=sample/nc-en-1k.txt \
pat_file=sample/monoling-margcounts.txt \
output_file=sample/monoling-poe.txt \
rank_stat=poe 2> sample/rankpats-poe.stderr

./src/rank_pats \
input_file=sample/nc-en-1k.txt \
pat_file=sample/monoling-margcounts.txt \
output_file=sample/monoling-condprobs.txt \
rank_stat=conditional 2> sample/rankpats-condprobs.stderr

